module Generations.Titanium where
import Generations.GenBase

titanium :: Generation
titanium = Gen
       { name     = "Titanium"
       , qcall     = qual_exact_fixed
       , models   = [\h -> let h' = fromIntegral h 
                           in if h == 0 then LogNormal (negate 2.5) 0.2 else Normal h' (0.04+0.05*h')]
       , degrade  = Normal 0.001 0.001
       , disc_filters = [filter_key,filter_empty]
       , trim_filters = []
       , f_key        = "TCAG"
       , f_len        = 800 -- :: Int16
       , f_cycle      = "TACG"
       }
